## moodss 17.17

=== Makefile ===
# $Id: moodss.mk,v 1.11 2004/01/20 21:00:42 jfontain Exp $


VERSION = 17.17

# note: TCLSH and WISH must include path as they are used
# as shell interpreters inside scripts (using the #! syntax)
TCLSH = /usr/bin/tclsh
WISH = /usr/bin/wish
CC = gcc
# dynamic libraries compilation options (strip and optimize):
CFLAGS = -s -O2
TCLLIBDIR = /usr/lib
# eventually add Tcl includes path (use -Idirectory syntax):
INCLUDES =

# only use as the temporary installation directory, such as from a rpm
# specification file, otherwise change the directories below instead:
ROOTDIR =

# you may change the directories below:
BASEDIR =
BINDIR = $(BASEDIR)/usr/bin
LIBDIR = $(BASEDIR)/usr/lib
MANDIR = $(BASEDIR)/usr/share/man
DOCDIR = $(BASEDIR)/usr/share/doc
MOODSSLIBDIR = $(LIBDIR)/moodss
# where the modules will be finally installed (useful in rpm specification):
MODULESDIR = $(MOODSSLIBDIR)
MOODSSDOCDIR = $(DOCDIR)/moodss-$(VERSION)
# where the HTML documentation will be finally installed (useful in rpm specification):
MOODSSHTMLDIR = $(MOODSSDOCDIR)

# uncomment the MODULES entries for your platform below,
# while obviously commenting those entries for all the other platforms:
# Linux:
MODULES = apache apachex arp cpustats disks diskstats hddtemp interrupts kernmods log memstats minimal mounts myerrorlog myhealth myprocs myquery myreplication mystatus myvars netdev odbcquery partitions pci ping ps random route sensors smithy snmp snmptrap system trace usb Minimal Random minipy randpy
# Solaris:
#MODULES = apache apachex log minimal mounts myerrorlog myhealth myprocs myquery myreplication mystatus myvars odbcquery ping random smithy snmp snmptrap trace Minimal Random minipy randpy


### You should not need to change anything below this line ###
###    (let me know at jfontain@free.fr if you have to)    ###

all: htmldata.tcl moodss packlibs/libfilesystem.so.1.1 packlibs/libnetwork.so.1.20 packlibs/liblogging.so.1.0

install: all
	mkdir -p $(ROOTDIR)$(BINDIR)
	mkdir -p $(ROOTDIR)$(LIBDIR)
	mkdir -p $(ROOTDIR)$(MANDIR)/man1
	mkdir -p $(ROOTDIR)$(MOODSSDOCDIR)
	# append final modules directory to Tcl automatic package path
	sed -e 's,$$::tcl_library/moodss,$(MODULESDIR),;' moodss > $(ROOTDIR)$(BINDIR)/moodss
	chmod 755 $(ROOTDIR)$(BINDIR)/moodss
	# use final module directory for images in HTML help:
	for module in $(MODULES); do\
		directory=$(MOODSSLIBDIR)/$$module;\
		mkdir -p $(ROOTDIR)$$directory;\
		cp -f $$module/pkgIndex.tcl $(ROOTDIR)$$directory/;\
		if [ -r $$module/$$module.htm ]; then\
			sed -e "s,<img src=\",<img src=\"$(MODULESDIR)/$$module/,g;" $$module/$$module.htm >\
				$(ROOTDIR)$$directory/$$module.htm;\
		chmod 644 $(ROOTDIR)$$directory/$$module.htm;\
		fi;\
		for extension in gif pm py tcl; do\
			name=$$module/$$module.$$extension;\
			if [ -r $$name ]; then\
				cp -f $$name $(ROOTDIR)$$directory/;\
			fi;\
		done;\
	done
	cp -f apache/apacheu.tcl $(ROOTDIR)$(MOODSSLIBDIR)/apache/
	cp -f arp/vendor.txt $(ROOTDIR)$(MOODSSLIBDIR)/arp/
	for file in INSTALL hosts; do\
		cp -f ping/$$file $(ROOTDIR)$(MOODSSLIBDIR)/ping/;\
	done
	cp -f mystatus/mystatus.dat $(ROOTDIR)$(MOODSSLIBDIR)/mystatus/
	cp -f myvars/myvars.dat $(ROOTDIR)$(MOODSSLIBDIR)/myvars/
	cp -f myerrorlog/*.txt $(ROOTDIR)$(MOODSSLIBDIR)/myerrorlog/
	mkdir -p $(ROOTDIR)$(MOODSSLIBDIR)/packlibs
	for file in pkgIndex.tcl htmldata.tcl misc.tcl network.tcl threads.tcl linetask.tcl libfilesystem.so.1.1 libnetwork.so.1.20 liblogging.so.1.0; do\
		cp -f packlibs/$$file $(ROOTDIR)$(MOODSSLIBDIR)/packlibs/;\
	done
	mkdir -p $(ROOTDIR)$(MOODSSLIBDIR)/stooop
	for file in pkgIndex.tcl stooop.tcl switched.tcl; do\
		cp -f stooop/$$file $(ROOTDIR)$(MOODSSLIBDIR)/stooop/;\
	done
	mkdir -p $(ROOTDIR)$(MOODSSLIBDIR)/msgs
	for file in pkgIndex.tcl fr.msg; do\
		cp -f msgs/$$file $(ROOTDIR)$(MOODSSLIBDIR)/msgs/;\
	done
	mkdir -p $(ROOTDIR)$(MOODSSLIBDIR)/instance
	for file in pkgIndex.tcl instance.tcl; do\
		cp -f instance/$$file $(ROOTDIR)$(MOODSSLIBDIR)/instance/;\
	done
	# SQLite package, eventually install library (http://www.hwaci.com/sw/sqlite/):
	mkdir -p $(ROOTDIR)$(MOODSSLIBDIR)/sqlite
	echo 'package ifneeded sqlite 2 [list load [file join $$dir tclsqlite.so]]' > $(ROOTDIR)$(MOODSSLIBDIR)/sqlite/pkgIndex.tcl
	if [ -f sqlite/tclsqlite.so ]; then\
		cp -f sqlite/tclsqlite.so $(ROOTDIR)$(MOODSSLIBDIR)/sqlite/;\
	fi
	cp -f documentation/moodss.1 $(ROOTDIR)$(MANDIR)/man1/
	# in HTML documentation, convert relative URLs for modules to absolute ones:
	sed -e 's,<a href="../,<a href="$(MODULESDIR)/,;' documentation/modules.htm > $(ROOTDIR)$(MOODSSDOCDIR)/modules.htm
	cd documentation;\
		cp -f README CHANGES INSTALL DEVELOPMENT COPYRIGHT BUGS TODO moodss.htm develop.htm database.htm *.gif $(ROOTDIR)$(MOODSSDOCDIR)/;\
	cd ..


clean:
	rm -f moodss htmldata.tcl packlibs/htmldata.tcl packlibs/libfilesystem.so.1.1 packlibs/libnetwork.so.1.20 packlibs/liblogging.so.1.0

# combine all source into a single Tcl code file:
moodss:
	rm -f $@
	echo '#!$(WISH)' > $@
	$(TCLSH) source.tcl moodss.tcl | sed\
		-e 's/if {\[catch {package require stooop.*/if {1} {/;' -e 's/if {\[catch {package require switched.*/if {1} {/;'\
		-e 's/if {\[catch {package require scwoop.*/if {1} {/;' -e 's/if {\[catch {package require tkpiechart.*/if {1} {/;'\
		-e 's/if {\[catch {package require BWidget.*/if {1} {/;' >> $@
	chmod 755 $@

htmldata.tcl: documentation/moodss.htm
	# fix local image links according to final installation directory
	$(TCLSH) genhtml.tcl - $? | sed -e 's,<img src=",<img src="$(MOODSSHTMLDIR)/,g;' > $@
	cd packlibs/ && ln -sf ../$@ $@ && cd ..

libtclstub.a::
	rm -f $@; ln -s $(TCLLIBDIR)/libtclstub`echo 'puts $$tcl_version' | $(TCLSH)`.a $@ || ln -s $(TCLLIBDIR)/$@ $@

packlibs/libfilesystem.so.1.1: packlibs/filesystem.c libtclstub.a
	$(CC) -shared -fPIC -DUSE_TCL_STUBS $(CFLAGS) $(INCLUDES) -o $@ $?

packlibs/libnetwork.so.1.20: packlibs/network.c libtclstub.a
	$(CC) -shared -fPIC -DUSE_TCL_STUBS $(CFLAGS) $(INCLUDES) -o $@ $? -lresolv

packlibs/liblogging.so.1.0: packlibs/logging.c libtclstub.a
	$(CC) -shared -fPIC -DUSE_TCL_STUBS $(CFLAGS) $(INCLUDES) -o $@ $?

## moodss 19.7-1

=== debian/changelog ===
moodss (19.7-1) unstable; urgency=low

  * New upstream

 -- Lars Steinke (Debian Developer) <lss@debian.org>  Wed, 02 Mar 2005 08:40:13 +0200

moodss (19.6-2) unstable; urgency=low

  * Dependency fix for libsqlite-tcl (closes #295911)

 -- Lars Steinke (Debian Developer) <lss@debian.org>  Wed, 02 Mar 2005 07:40:13 +0200

moodss (19.6-1) unstable; urgency=low

  * New upstream release (closes #289428)
  * Both links work, sf.net and free.fr (closes #269770)
  * Hopefully the new version uses more legible fonts (closes #270475)

 -- Lars Steinke (Debian Developer) <lss@debian.org>  Wed, 15 Feb 2005 13:40:13 +0200

moodss (17.17-2) unstable; urgency=low

  * Fixed target "clean" in rules (closes #238626)

 -- Lars Steinke (Debian Developer) <lss@debian.org>  Mon, 20 Mar 2004 16:40:13 +0200

moodss (17.17-1) unstable; urgency=low

  * New upstream version (closes #219980)

 -- Lars Steinke (Debian Developer) <lss@debian.org>  Mon, 15 Mar 2004 16:27:38 +0200

moodss (17.1-1) unstable; urgency=low

  * New upstream version, removed dependencies on tcl/tk8.2

 -- Lars Steinke <lss@debian.org>  Tue, 20 May 2003 16:27:38 +0200

moodss (14.0-2) unstable; urgency=low

  * Fixed build depends (closes #84592) 

 -- Lars Steinke <lss@debian.org>  Wed, 18 Apr 2001 20:38:53 +0200

moodss (14.0-1) unstable; urgency=low

  * New upstream version with additional modules (closes #88084,#78851)

 -- Lars Steinke <lss@debian.org>  Thu,  8 Mar 2001 17:09:15 +0100

moodss (9.0-3) unstable; urgency=low

  * Fixed linitan messages

 -- Lars Steinke <lss@debian.org>  Wed, 15 Mar 2000 13:38:43 +0100

moodss (9.0-2) unstable; urgency=low

  * debian/rules file corrected for Alpha port recompilation

 -- Lars Steinke <lss@debian.org>  Thu, 14 Oct 1999 13:43:50 +0200

moodss (9.0-1) unstable; urgency=low

  * New upstream version (Tk/Tcl 8.2, closes Bug#44935), fixes the diskstats 
    bug with SMP machines reported to the author. 
    Seems I screwed up the architecture setting with 8.1-1 once again...
    Hopefully correcting the debian/rules file sets things right (closes
    Bug#43433).
  
 -- Lars Steinke <lss@debian.org>  Tue, 05 Oct 1999 09:34:24 +0200

moodss (8.1-1) unstable; urgency=low

  * New upstream version, had to change architecture back to any
    as package now contains two libraries...

 -- Lars Steinke <lss@debian.org>  Tue, 17 Aug 1999 10:44:21 +0200

moodss (7.0-1) unstable; urgency=low

  * New upstream version

 -- Lars Steinke <lss@debian.org>  Mon, 21 Jun 1999 14:09:06 +0100

moodss (5.0-2) unstable; urgency=low

  * Corrected architecture: all

 -- Lars Steinke <lss@debian.org>  Mon, 26 Oct 1998 08:09:06 +0100

moodss (5.0-1) unstable; urgency=low

  * Version 4.4 did not work with blt-2.4f, this has been fixed in 5.0.

 -- Lars Steinke <lss@debian.org>  Tue, 20 Oct 1998 15:22:49 +0200

=== debian/control ===
Source: moodss
Build-Depends: tcl8.4,tk8.4,tcl8.4-dev,tk8.4-dev,debhelper (>>4.0.0),libsqlite3-tcl,libsqlite3-dev 
Section: admin
Priority: optional
Maintainer: Lars Steinke <lss@debian.org>
Standards-Version: 3.6.1

Package: moodss
Architecture: any
Depends: tktable (>=2.6),blt (>=2.4u-2),tcl8.4,tk8.4,libsqlite3-tcl,libsqlite3-0,${shlibs:Depends}
Conflicts: blt8.0-2.4e
Suggests: scotty, lm-sensors, mysqltcl, pciutils
Description: Modular object oriented dynamic spread-sheet
 2/3D-visualisation for periodically updated data using drag and drop in a
 spreadsheet-like environment. Extensible via your own Tcl/Tk modules.
 Intended for use in system administration but should work in a lab just as
 well...
 .
 Check the module docs in /usr/share/doc/moodss/documentation/modules.htm !
 .
 Due to dependency problems moomps is NOT provided in Debian (yet, any  
 volunteers ?).
 Homepage: http://moodss.sf.net

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp
	make INCLUDES="-I /usr/include/tcl8.4" ROOTDIR=/ all

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	if [ -e *.a ]; then rm *.a; fi
	# Add here commands to clean up after the build process.
	make clean
	dh_clean

# Build architecture-independent files here.
binary-indep: build
	# nothing to do...

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the files into debian/tmp
#	cp -a *.tcl *.gif debian/tmp/usr/lib/moodss
	make INCLUDES="-I /usr/include/tcl8.4" ROOTDIR=debian/tmp install
	sed -e "s/debian\/tmp\/usr\/lib/\/usr\/lib/" debian/tmp/usr/bin/moodss > debian/tmp/usr/bin/moodss_
	sed -e "s/\/sbin/\/usr\/bin/" debian/tmp/usr/lib/moodss/pci/pci.tcl > debian/tmp/usr/lib/moodss/pci/pci.tcl_
	sed -e "s/\/sbin/\/usr\/sbin/" debian/tmp/usr/lib/moodss/usb/usb.tcl > debian/tmp/usr/lib/moodss/usb/usb.tcl_
	mv debian/tmp/usr/bin/moodss_ debian/tmp/usr/bin/moodss
	mv debian/tmp/usr/lib/moodss/pci/pci.tcl_ debian/tmp/usr/lib/moodss/pci/pci.tcl
	mv debian/tmp/usr/lib/moodss/usb/usb.tcl_ debian/tmp/usr/lib/moodss/usb/usb.tcl
	chmod 755 debian/tmp/usr/bin/moodss

#	rm -rf debian/tmp/etc debian/tmp/usr/sbin debian/tmp/usr/share/doc/moodss*

	dh_installdocs
	mv debian/tmp/usr/share/doc/moodss-*/* debian/tmp/usr/share/doc/moodss/documentation
	rm -rf debian/tmp/usr/share/doc/moodss-*
	rm -rf debian/tmp/usr/share/doc/moodss/documentation/moodss.1 debian/tmp/usr/share/doc/moodss/documentation/.xvpics
	dh_installexamples
	dh_installmenu
#	dh_installinit
#	dh_installcron
	dh_installman
#	rm debian/tmp/usr/share/man/man1/moomps*
	dh_installchangelogs documentation/CHANGES
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## moodss 19.7-1ubuntu1

=== debian/changelog ===
moodss (19.7-1ubuntu1) edgy; urgency=low

  * Changed dep tktable --> libtktable

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Tue,  8 Aug 2006 08:05:17 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: moodss
 Architecture: any
-Depends: tktable (>=2.6),blt (>=2.4u-2),tcl8.4,tk8.4,libsqlite3-tcl,libsqlite3-0,${shlibs:Depends}
+Depends: libtktable (>=2.6),blt (>=2.4u-2),tcl8.4,tk8.4,libsqlite3-tcl,libsqlite3-0,${shlibs:Depends}
 Conflicts: blt8.0-2.4e
 Suggests: scotty, lm-sensors, mysqltcl, pciutils
 Description: Modular object oriented dynamic spread-sheet

## moodss 19.7-1ubuntu2

=== Makefile ===
# $Id: moodss.mk,v 1.35 2005/02/21 21:30:59 jfontain Exp $


VERSION = 19.7

# note: TCLSH and WISH must include path as they are used
# as shell interpreters inside scripts (using the #! syntax)
TCLSH = /usr/bin/tclsh
WISH = /usr/bin/wish
CC = gcc
# dynamic libraries compilation options:
CFLAGS = -O2
TCLLIBDIR = /usr/lib
# optionally add Tcl includes path (use -Idirectory syntax):
INCLUDES =
# optionally include SQLite package (set to true or false):
INCLUDESQLITE = false
# network related libraries
# (use -llibrary syntax, -lresolv on SunOS, none on Linux and FreeBSD):
EXTRALIBS =

# only use as the temporary installation directory, such as from a rpm
# specification file, otherwise change the directories below instead:
ROOTDIR =

# you may change the directories below:
BASEDIR =
BINDIR = $(BASEDIR)/usr/bin
LIBDIR = $(BASEDIR)/usr/lib
MANDIR = $(BASEDIR)/usr/share/man
DOCDIR = $(BASEDIR)/usr/share/doc
MOODSSLIBDIR = $(LIBDIR)/moodss
# where the modules will be finally installed (useful in rpm specification):
MODULESDIR = $(MOODSSLIBDIR)
MOODSSDOCDIR = $(DOCDIR)/moodss-$(VERSION)
# where the HTML documentation will be finally installed (useful in rpm specification):
MOODSSHTMLDIR = $(MOODSSDOCDIR)

# uncomment the MODULES entries for your platform below,
# while obviously commenting those entries for all the other platforms:
# Linux:
MODULES = apache apachex arp cpustats disks diskstats formulas hddtemp interrupts kernmods log memstats minimal mounts myerrorlog myhealth myprocs myquery myreplication mystatus myvars nagios netdev odbcquery partitions pci ping ps psbyname psbyuser random route sensors smithy snmp snmptrap system trace usb Log Minimal Random Threaded minipy randpy
# Solaris:
#MODULES = apache apachex formulas log minimal mounts myerrorlog myhealth myprocs myquery myreplication mystatus myvars nagios odbcquery ping random smithy snmp snmptrap trace Log Minimal Random minipy randpy
# FreeBSD:
#MODULES = apache apachex cpustats formulas log memstats minimal mounts myerrorlog myhealth myprocs myquery myreplication mystatus myvars nagios odbcquery ping ps psbyname psbyuser random smithy snmp snmptrap trace Log Minimal Random minipy randpy


### You should not need to change anything below this line ###
###    (let me know at jfontain@free.fr if you have to)    ###

all: htmldata.tcl htmldata-ja.tcl moodss packlibs/libfilesystem.so.1.1 packlibs/libnetwork.so.1.20 packlibs/liblogging.so.1.0

install: all
	mkdir -p $(ROOTDIR)$(BINDIR)
	mkdir -p $(ROOTDIR)$(LIBDIR)
	mkdir -p $(ROOTDIR)$(MANDIR)/man1
	mkdir -p $(ROOTDIR)$(MOODSSDOCDIR)
	# append final modules directory to Tcl automatic package path
	sed -e 's,$$::tcl_library/moodss,$(MODULESDIR),;' moodss > $(ROOTDIR)$(BINDIR)/moodss
	chmod 755 $(ROOTDIR)$(BINDIR)/moodss
	# use final module directory for images in HTML help:
	for module in $(MODULES); do\
		directory=$(MOODSSLIBDIR)/$$module;\
		mkdir -p $(ROOTDIR)$$directory;\
		cp -f $$module/pkgIndex.tcl $(ROOTDIR)$$directory/;\
		for file in $$module/$$module.htm $$module/$$module-*.htm; do\
			if [ -r $$file ]; then\
				name=`basename $$file`;\
				sed -e "s,<img src=\",<img src=\"$(MODULESDIR)/$$module/,g;" $$file > $(ROOTDIR)$$directory/$$name;\
				chmod 644 $(ROOTDIR)$$directory/$$name;\
			fi;\
		done;\
		for extension in gif pm py tcl; do\
			file=$$module/$$module.$$extension;\
			if [ -r $$file ]; then\
				cp -f $$file $(ROOTDIR)$$directory/;\
			fi;\
		done;\
	done
	cp -f apache/apacheu.tcl $(ROOTDIR)$(MOODSSLIBDIR)/apache/
	# note: arp module in not installed in all architectures:
	test -d $(ROOTDIR)$(MOODSSLIBDIR)/arp && cp -f arp/manuf.txt $(ROOTDIR)$(MOODSSLIBDIR)/arp/ || :
	for file in INSTALL hosts; do\
		cp -f ping/$$file $(ROOTDIR)$(MOODSSLIBDIR)/ping/;\
	done
	cp -f mystatus/mystatus.dat $(ROOTDIR)$(MOODSSLIBDIR)/mystatus/
	cp -f myvars/myvars.dat $(ROOTDIR)$(MOODSSLIBDIR)/myvars/
	cp -f myerrorlog/*.txt $(ROOTDIR)$(MOODSSLIBDIR)/myerrorlog/
	mkdir -p $(ROOTDIR)$(MOODSSLIBDIR)/packlibs
	for file in pkgIndex.tcl htmldata.tcl htmldata-ja.tcl misc.tcl network.tcl threads.tcl linetask.tcl hashes.tcl libfilesystem.so.1.1 libnetwork.so.1.20 liblogging.so.1.0; do\
		cp -f packlibs/$$file $(ROOTDIR)$(MOODSSLIBDIR)/packlibs/;\
	done
	mkdir -p $(ROOTDIR)$(MOODSSLIBDIR)/stooop
	for file in pkgIndex.tcl stooop.tcl switched.tcl; do\
		cp -f stooop/$$file $(ROOTDIR)$(MOODSSLIBDIR)/stooop/;\
	done
	mkdir -p $(ROOTDIR)$(MOODSSLIBDIR)/msgs
	for file in pkgIndex.tcl fr.msg ja.msg; do\
		cp -f msgs/$$file $(ROOTDIR)$(MOODSSLIBDIR)/msgs/;\
	done
	mkdir -p $(ROOTDIR)$(MOODSSLIBDIR)/instance
	for file in pkgIndex.tcl instance.tcl; do\
		cp -f instance/$$file $(ROOTDIR)$(MOODSSLIBDIR)/instance/;\
	done
	# SQLite package, eventually install library (http://www.hwaci.com/sw/sqlite/):
	if $(INCLUDESQLITE); then\
		mkdir -p $(ROOTDIR)$(MOODSSLIBDIR)/sqlite;\
		echo 'package ifneeded sqlite 2 [list load [file join $$dir tclsqlite.so]]' > $(ROOTDIR)$(MOODSSLIBDIR)/sqlite/pkgIndex.tcl;\
		echo 'package ifneeded sqlite3 3 [list load [file join $$dir tclsqlite3.so] sqlite3]' >> $(ROOTDIR)$(MOODSSLIBDIR)/sqlite/pkgIndex.tcl;\
		if [ -f sqlite/tclsqlite.so ]; then\
			cp -f sqlite/tclsqlite.so $(ROOTDIR)$(MOODSSLIBDIR)/sqlite/;\
		fi;\
		if [ -f sqlite/tclsqlite3.so ]; then\
			cp -f sqlite/tclsqlite3.so $(ROOTDIR)$(MOODSSLIBDIR)/sqlite/;\
		fi;\
	fi
	cp -f documentation/moodss.1 $(ROOTDIR)$(MANDIR)/man1/
	# in HTML documentation, convert relative URLs for modules to absolute ones:
	sed -e 's,<a href="../,<a href="$(MODULESDIR)/,;' documentation/modules.htm > $(ROOTDIR)$(MOODSSDOCDIR)/modules.htm
	cd documentation;\
		cp -f README CHANGES INSTALL DEVELOPMENT COPYRIGHT BUGS TODO moodss.htm moodss-ja.htm formulas.htm formulas-ja.htm FAQ.htm FAQ-ja.htm develop.htm database.htm *.gif $(ROOTDIR)$(MOODSSDOCDIR)/;\
	cd ..


clean:
	rm -f moodss htmldata.tcl htmldata-ja.tcl packlibs/htmldata.tcl packlibs/htmldata-ja.tcl packlibs/libfilesystem.so.1.1 packlibs/libnetwork.so.1.20 packlibs/liblogging.so.1.0

# combine all source into a single Tcl code file:
moodss:
	rm -f $@
	echo '#!$(WISH)' > $@
	$(TCLSH) source.tcl moodss.tcl | sed\
		-e 's/if {\[catch {package require stooop.*/if {1} {/;' -e 's/if {\[catch {package require switched.*/if {1} {/;'\
		-e 's/if {\[catch {package require scwoop.*/if {1} {/;' -e 's/if {\[catch {package require tkpiechart.*/if {1} {/;'\
		-e 's/if {\[catch {package require BWidget.*/if {1} {/;' >> $@
	chmod 755 $@

htmldata.tcl: documentation/moodss.htm documentation/formulas.htm
	# fix local image links according to final installation directory
	$(TCLSH) genhtml.tcl moodsshelp htmlHelpContents htmlHelpData < documentation/moodss.htm |\
		sed -e 's,<img src=",<img src="$(MOODSSHTMLDIR)/,g;' > $@
	$(TCLSH) genhtml.tcl '' htmlFormulasHelpContents htmlFormulasHelpData < documentation/formulas.htm |\
		sed -e 's,<img src=",<img src="$(MOODSSHTMLDIR)/,g;' >> $@
	cd packlibs/ && ln -f -s ../$@ $@ && cd ..

htmldata-ja.tcl: documentation/moodss-ja.htm documentation/formulas-ja.htm
	# fix local image links according to final installation directory
	LANG=ja $(TCLSH) genhtml.tcl moodsshelp htmlHelpContents htmlHelpData < documentation/moodss-ja.htm |\
		sed -e 's,<img src=",<img src="$(MOODSSHTMLDIR)/,g;' > $@
	LANG=ja $(TCLSH) genhtml.tcl '' htmlFormulasHelpContents htmlFormulasHelpData < documentation/formulas-ja.htm |\
		sed -e 's,<img src=",<img src="$(MOODSSHTMLDIR)/,g;' >> $@
	cd packlibs/ && ln -f -s ../$@ $@ && cd ..

libtclstub.a::
	LIBRARY="$(TCLLIBDIR)/libtclstub`echo 'puts $$tcl_version' | $(TCLSH)`.a"; export LIBRARY;\
		rm -f $@; test -f $$LIBRARY && ln -s $$LIBRARY $@ || ln -s $(TCLLIBDIR)/$@ $@

packlibs/libfilesystem.so.1.1: packlibs/filesystem.c libtclstub.a
	$(CC) -shared -fPIC -DUSE_TCL_STUBS $(CFLAGS) $(INCLUDES) -o $@ $?

packlibs/libnetwork.so.1.20: packlibs/network.c libtclstub.a
	$(CC) -shared -fPIC -DUSE_TCL_STUBS $(CFLAGS) $(INCLUDES) -o $@ $? $(EXTRALIBS)

packlibs/liblogging.so.1.0: packlibs/logging.c libtclstub.a
	$(CC) -shared -fPIC -DUSE_TCL_STUBS $(CFLAGS) $(INCLUDES) -o $@ $?

=== debian/changelog ===
moodss (19.7-1ubuntu2) gutsy; urgency=low

  * Apply the nmu-diff from
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=377790
    (Fixes the unmet deps).
  * debian/control: Modify Maintainer value to match
    DebianMaintainerField spec.

 -- Michael Bienia <geser@ubuntu.com>  Fri, 22 Jun 2007 22:36:45 +0200

=== debian/control ===
Source: moodss
Build-Depends: tcl8.4,tk8.4,tcl8.4-dev,tk8.4-dev,debhelper (>>4.0.0),libsqlite3-tcl,libsqlite3-dev 
Section: admin
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Lars Steinke <lss@debian.org>
Standards-Version: 3.6.1

Package: moodss
Architecture: any
Depends: libtktable2.9,blt (>=2.4u-2),tcl8.4,tk8.4,libsqlite3-tcl,libsqlite3-0,${shlibs:Depends}
Conflicts: blt8.0-2.4e
Suggests: scotty, lm-sensors, mysqltcl, pciutils
Description: Modular object oriented dynamic spread-sheet
 2/3D-visualisation for periodically updated data using drag and drop in a
 spreadsheet-like environment. Extensible via your own Tcl/Tk modules.
 Intended for use in system administration but should work in a lab just as
 well...
 .
 Check the module docs in /usr/share/doc/moodss/documentation/modules.htm !
 .
  Homepage: http://moodss.sf.net
